- Qt 6.9
- Qt GUI
- C++ Classes
- BuiltinVariable
- Qt 6.9.2 Reference Documentation

# QShaderDescription::BuiltinVariable Struct

struct QShaderDescription::BuiltinVariable

Describes a built-in variable. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QList<int> | arrayDims
QShaderDescription::BuiltinType | type
QShaderDescription::VariableType | varType

## Related Non-Members

bool | operator==(const QShaderDescription::BuiltinVariable &lhs, const QShaderDescription::BuiltinVariable &rhs)

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### QList<int> BuiltinVariable::arrayDims

### QShaderDescription::BuiltinType BuiltinVariable::type

### QShaderDescription::VariableType BuiltinVariable::varType

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::BuiltinVariable &lhs, const QShaderDescription::BuiltinVariable &rhs)

Returns `true` if the two BuiltinVariable objects lhs and rhs are equal.